org.apache.fop.afp.ioca

## Class TransparencyMask

- java.lang.Object
- - org.apache.fop.afp.modca.AbstractAFPObject
  - - org.apache.fop.afp.ioca.TransparencyMask

All Implemented Interfaces:
  Streamable

    public class TransparencyMask
    extends AbstractAFPObject

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.fop.afp.modca.AbstractAFPObject

`AbstractAFPObject.Category, AbstractAFPObject.Type`

### Field Summary

### Fields inherited from class org.apache.fop.afp.modca.AbstractAFPObject

`LOG, SF_CLASS, SF_HEADER_LENGTH`

### Constructor Summary

Constructors
Constructor and Description
`TransparencyMask(byte[] maskData, ImageSizeParameter imageSizeParameter)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `writeToStream(OutputStream os)` DataStream objects must implement the writeToStream() method to write its data to the given OutputStream

### Methods inherited from class org.apache.fop.afp.modca.AbstractAFPObject

`copySF, copySF, truncate, writeChunksToStream, writeObjects`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TransparencyMask

    public TransparencyMask(byte[] maskData,
                            ImageSizeParameter imageSizeParameter)

### Method Detail

#### writeToStream

    public void writeToStream(OutputStream os)
                       throws IOException

Description copied from interface: `Streamable`
DataStream objects must implement the writeToStream() method to write its data to the given OutputStream

Parameters:
  `os` - the outputsteam stream
Throws:
  `IOException` - an I/O exception of some sort has occurred.